#
# spec file for package xpp (Version 1.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel a2ps aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cups cups-client cups-devel cups-libs cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fltk fltk-devel fontconfig fontconfig-devel foomatic-filters freeglut freeglut-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel ghostscript-mini glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libdrm libdrm-devel libgcc libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libstdc++-devel libtiff libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openslp openssl openssl-devel pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           xpp
BuildRequires:  cups cups-devel fltk-devel freeglut-devel gcc-c++ libdrm-devel libjpeg-devel libpng-devel openssl-devel xorg-x11
License:        GPL
Group:          Hardware/Printing
Summary:        CUPS X Window System front-end
URL:            http://cups.sourceforge.net/xpp/
Version:        1.5
Release:        21.2
Source0:        http://download.sourceforge.net/cups/%{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       fltk >= 1.0.11, cups >= 1.1.9

%description
A front-end for the CUPS printer daemon. You can change and save the
used printer, paper settings, and other options. It only requires the X
Window System - no Gnome or KDE.



Authors:
--------
    Till Kamppeter <till.kamppeter@gmx.net>

%debug_package
%prep
%setup -n xpp-%{version}
%patch0 -p1

%build
%{?suse_update_config:%{suse_update_config -f . }}
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -fno-strict-aliasing"
./configure \
	--prefix=/usr
make

%install
make install DESTDIR=$RPM_BUILD_ROOT STRIP=true

%files
%defattr(-,root,root)
%doc LICENSE ChangeLog README 
/usr/bin/xpp

%changelog -n xpp
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 - schwab@suse.de
- Don't strip binaries.
* Thu Nov 24 2005 - meissner@suse.de
- use RPM_OPT_FLAGS for real. use -fno-strict-aliasing.
* Wed Oct 12 2005 - meissner@suse.de
- fixed build.
* Wed Jan 26 2005 - meissner@suse.de
- Use RPM_OPT_FLAGS
* Thu Dec 16 2004 - kssingvo@suse.de
- first shot of new version 1.5
* Wed Mar 03 2004 - kssingvo@suse.de
- added patches from Egbert Eich, which will be added in next xpp release
- core dump fix at saving unmodified dialog for new instance
- allowed specification of printer instances on the command line
- made printer list horizontally scrollable
- added input widget to specify custom paper sizes
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Fri Jan 17 2003 - ro@suse.de
- work around fltk/fluid problem
* Thu Aug 01 2002 - kssingvo@suse.de
- gcc-c++ added to neededforbuild
* Thu May 23 2002 - kssingvo@suse.de
- updated to version 1.1
* Tue May 21 2002 - ro@suse.de
- fixed libdir
* Sun Apr 14 2002 - ro@suse.de
- build with gcc-3.1
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Dec 13 2001 - ro@suse.de
- added libpng and libjpeg to neededforbuild
* Thu Nov 08 2001 - ro@suse.de
- use mesa-devel-packages in neededforbuild
* Sun Sep 02 2001 - bjacke@suse.de
- update to 1.0, fix License tag, use buildroot
* Fri Aug 31 2001 - bjacke@suse.de
- add cups-client to neededforbuild
* Mon Aug 27 2001 - ro@suse.de
- added <fltk-devel> to neededforbuild
* Mon Aug 20 2001 - ro@suse.de
- changed neededforbuild <cups> to <cups cups-libs>
* Mon Aug 13 2001 - ro@suse.de
- added openssl to neededforbuild
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Tue Mar 13 2001 - ro@suse.de
- fixed neededforbuild (typo)
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Thu Nov 30 2000 - ro@suse.de
- fixed neededforbuild
* Fri Nov 10 2000 - adrian@suse.de
- Spec file created from xpp-0.7.tar.bz2 by autospec
